Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • Java 1.7 (or sometimes called Java 7) has to be used. Although Java 1.7 was installed, it may happen that Java 1.6 is still used. Therefore, check if 1.7 is used. Check also, if JAVA_HOME is set correctly.
    • On windows, you can check the version by open the command line to tool (go on "start", and "run" and enter "cmd", then press OK. In the command line enter "java -version" and hit enter. You should see some lines beginning with "java version "1.7.XXXX". if command is not found or another version is shown, check your Java installation.
    • On MacOS X, you may look at "B. Mac OS X and Java 1.7" in the next section.


  • Be sure you downloaded the x86_64 version if you have a 64 bit operating system or the x86 version if you have a 32 bit operating system.


B. Mac OS

...

Anchor
MacOS
MacOS

To run Odysseus from the pre-compiled packages available to download you have to do the following steps.

...

Code Block
titleRun Odysseus under OS XMacOS
java -XstartOnFirstThread -Xmx500M -Xms500M -Declipse.p2.mirrors=false -jar plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar --launcher.library org.eclipse.equinox.launcher_1.3.100.v20150511-1540 -console -nl en -debug -data @noDefault -showsplash de.uniol.inf.is.odysseus.rcp.base -Dorg.eclipse.swt.internal.carbon.smallFonts -clean

...